//
//  ContentView.swift
//  BasicProcessing
//
//  Created by Aliaksandr Andrashuk on 11/02/2024.
//

import SwiftUI
import AVKit

struct ContentView: View {
    @State
    var video: FilterVideoComposition? = nil
    var body: some View {
        VideoPlayer(player: video?.avPlayer)
            .onAppear(perform: load)
    }
    func load() {
        Task {
            let url = Bundle.main.url(forResource: "example", withExtension: "mov")!
            self.video = await FilterVideoComposition(url: url)
        }
    }
}

#Preview {
    ContentView()
}
